.gl-label {
  align-items: center;
  background-color: #fff;
  border-radius: 0.75rem;
  box-shadow: var(--label-inset-border) !important;
  color: #1f1e24;
  display: inline-flex;
  font-size: 0.875rem;
  margin: 0 5px 5px 0;
  max-width: 100%;
  overflow: hidden;
  position: relative;
  vertical-align: middle;

  &.gl-label-text-light {
    color: #ffffff;
  }

  .gl-label-link {
    color: inherit;
    display: flex;
    font-size: 0.75rem;
    font-weight: 400;
    line-height: 1rem;
    max-width: 100%;
    overflow: hidden;
  }

  .gl-label-text,
  .gl-label-text-scoped {
    display: inline-block;
    max-width: 100%;
    overflow: hidden;
    padding: 0.25rem 0.5rem;
    text-overflow: ellipsis;
    vertical-align: top;
    white-space: nowrap;
  }

  &.gl-label-scoped {
    .gl-label-text {
      background-color: var(--label-background-color);
      padding-right: 0.25rem;
    }

    .gl-label-text-scoped {
      color: #1f1e24;
      padding-left: 0.25rem;
    }
  }

  &:not(.gl-label-scoped) {
    background-color: var(--label-background-color);
  }
}
